Subject: Assigned to Group - Re: Les Mills Invoice for Customer Snyder CrossFit Partners LLC - 009444
From: Les Mills International <[email-masked]>
To: [email-masked]
Date: Thu, 06 Oct 2022 22:02:59 +0000

Hi  A new ticket has been assigned to your group "Level 1 (Livesalesman)". Please follow the link below to view the ticket.  Re: Les Mills Invoice for Customer Snyder CrossFit Partners LLC - 009444 I have asked multiple times to permanently delete CrossFit Snyder off of anything associated with this account. It is Risen Fitness. CrossFit Snyder is in NO affiliated with Risen Fitness. This is the last time I will request it to be removed. I refuse to pay any invoices until it is corrected. 

Russell R

Luke 12:48

> On Oct 6, 2022, at 4:53 PM, [email-masked] wrote:
> 
> 
> Dear Valued Partner, 
> 
> Please find your invoice SIV0196077 attached. Please remit payment to the address provided in accordance with the terms of your agreement.
> 
> If you have any questions about this invoice, please contact our Finance Department.
> 
> Phone 630-828-5949 ext. 6
> 
> Email:  [email-masked]
> 
> Kind regards,
> 
> Les Mills Finance

 https://lesmillsvirtualapp.freshdesk.com/helpdesk/tickets/6195